Bug 829207

Summary: show language screen for Live installs
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 19CC: aalam, anaconda-maint-list, awilliam, ddumas, g.kaviyarasu, i18n-bugs, jonathan, kvolny, maxamillion, mclasen, otaylor, samkraju, vanmeeuwen+fedora, walters, xset1980
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: anaconda-18.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-12 18:30:52 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jens Petersen 2012-06-06 04:32:54 EDT
Description of problem:
Fedora has been suffering now for a while from an inability to easily
set the language for Live installs.  Earlier, users could select
the language from GDM *before* starting a liveuser session
but since the live now goes straight into the desktop that is
no longer the case and closer to normal installs.

I would like to suggest having anaconda show the language
selection screen by default on Live installs to make it
easier for international users to install for their
own language.

Version-Release number of selected component (if applicable):
F17

How reproducible:
100%

Steps to Reproduce:
1. Put live image and try to work out how to install in "my language".
2. Give up and just install in English
3. file a bug report like bug 827187.
  
Actual results:
No obvious way to set language for Live images
(and no way at all for non-Gnome installs)

Expected results:
There should be an obvious and explicit place to set the
language for a Live install (or even better Live session).

Having anaconda always show it's language selection screen
seems consistent with normal installs and would give
a better experience for Live installation.

Could you do this for Fedora 18?

Additional info:
I consider the gnome "solution" of -> control-center ->
Region and Languages -> add language -> logout -> login again
-> start installation, as unacceptable and unintuitive.
Comment 1 Karel Volný 2012-06-19 05:08:14 EDT
let me increase severity as this is a blocker for nontrivial number of users

I wonder how many of them we have lost in the last three years (as I've just seen a relevant bug from 2009 ... still not resolved)
Comment 2 Brian Lane 2012-07-16 17:23:55 EDT
In live we depend on the desktop to handle language and keyboard setup since it is expected that the user will be doing a testdrive before running the installer. GNOME should make it easier.
Comment 3 Jens Petersen 2012-07-16 21:06:06 EDT
Great :-( and the desktop team seem resigned on just leaving
language (and kbd) settings in gnome-control-center, "a no brainer"
even though it requires a logout! ;-)

Anyway what is the big problem with showing the screens in anaconda always?
At least until GDM supports language and kbd settings again,
which I have been requesting for a long time now.
Comment 4 Jens Petersen 2012-07-16 21:30:45 EDT
Anyway this is definitely not a gnome-shell bug,
and I don't particularly want this important issue to
get lost among the 800 other open gnome-shell bugs...

On a more positive note I think the i18n team could
contribution patches to gdm and/or gnome-initial-setup
to bring back language and keyboard settings before login.
Comment 5 Jens Petersen 2012-07-17 22:15:48 EDT
Matthias told me that gnome-initial-setup mockups [1] now
include language and keyboard setup screens apparently,
though it is not mentioned on the gnome Feature page [2].
I am still a bit unclear on the interaction between
the Live installer and gnome-initial-setup:
"Just show a splash and 'welcome' in the system language
if the language was selected in the interactive installer".
I would prefer always to show the language screen.

[1] https://live.gnome.org/GnomeOS/Design/Whiteboards/InitialSetup
[2] https://live.gnome.org/ThreePointFive/Features/InitialSetup
Comment 6 Chris Lumens 2012-08-03 15:48:15 EDT
This should be fixed in the new ui included with anaconda-18.3.
Comment 7 xset1980 2012-09-03 06:40:30 EDT
In KDE the same problem. The suggestion is commented by the user netsys (FAS account of fedora ambassador).
Comment 8 Fedora End Of Life 2013-04-03 16:22:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Adam Williamson 2013-05-12 18:30:52 EDT
newUI fixes this. You get the language selection screen in the live installer.